Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Class MarshallLoaderFactory

    java.lang.Object
      org.jboss.remoting.marshal.MarshallLoaderFactory

    public class MarshallLoaderFactory

extends java.lang.Object

Creates the marshall loader server to process requests from remoting clients to load marshaller/unmarshallers.

Author:
  Tom Elrod

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`MarshallLoaderFactory()`

Method Summary
`static InvokerLocator` | `convertLocator(InvokerLocator locator)` Will take regular invoker locator with extra parameters indicating marshall loader configuration (such as port) and converts to the marshall loader locator.
`static Connector` | `createMarshallLoader(InvokerLocator locator)` Create a remoting server connector for a marshaller loader based on the specified locator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### MarshallLoaderFactory

    public MarshallLoaderFactory()

Method Detail

### createMarshallLoader

    public static Connector createMarshallLoader(InvokerLocator locator)

  Create a remoting server connector for a marshaller loader based on the specified locator. The locator must contain at least the port parameter for which the marshaller loader should listen on. Will return null if can not create the connector.

  Parameters:
    `locator` -
  Returns:

### convertLocator

    public static InvokerLocator convertLocator(InvokerLocator locator)

  Will take regular invoker locator with extra parameters indicating marshall loader configuration (such as port) and converts to the marshall loader locator. Note: the transport returned will always be socket, as this is the only transport protocol supported for dynamic marshall loading.

  Parameters:
    `locator` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.